Subject: Re: [PATCH v3 0/3] fast-import: add mode to re-sign invalid commit signatures

From: Justin Tobler <[email-masked]>
Date: Tue, 10 Mar 2026 18:03:08 -0500

On 26/03/10 03:39PM, Junio C Hamano wrote:
> Justin Tobler <[email-masked]> writes:
> 
> > This certainly seems like a reasonable use case, but if we want to
> > support leaving previously unsigned objects unsigned too,
> > `--signed-commits=strip-if-invalid --signed-commits` wouldn't be
> > granular enough.
> 
> Yes, --signed-commits=(re-)sign-if-invalid is a perfect match for
> that use case.  I am just saying that if you add the machinery
> needed to re-sign, you would be able to reuse it to sign objects
> that weren't signed in the first place, so that is wherea yet
> another feature "--sign-commits=all" may fit.

Ah ok. Ya, adding a signed-commits mode to cover signing all rewritten
objects could make sense. I am planning to also add an
--abort-if-invalid mode in a followup series. I'll may explore adding
this other mode too.

Thanks,
-Justin